import{s as re,n as se,o as le}from"../chunks/scheduler.37c15a92.js";import{S as he,i as ce,g as M,s as n,r,A as fe,h as Q,f as a,c as o,j as ne,u as s,x as X,k as oe,y as me,a as i,v as l,d as h,t as c,w as f}from"../chunks/index.7cb9c9b8.js";import{Q as Y}from"../chunks/Question.f95a37ca.js";import{H as L}from"../chunks/Heading.d3928e2a.js";function de(Z){let m,I,k,W,d,z,u,ee='The best way to learn and <a href="https://www.coursera.org/lecture/learning-how-to-learn/illusions-of-competence-BuFzf" rel="nofollow">to avoid the illusion of competence</a> <strong>is to test yourself.</strong> This will help you to find <strong>where you need to reinforce your knowledge</strong>.',P,g,j,w,S,p,E,$,R,v,B,b,D,y,F,x,te='<summary>Solution</summary> <p>The idea behind Actor-Critic is that we learn two function approximations:</p> <ol><li>A <code>policy</code> that controls how our agent acts (π)</li> <li>A <code>value</code> function to assist the policy update by measuring how good the action taken is (q)</li></ol> <img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit8/step2.jpg" alt="Actor-Critic, step 2"/>',U,A,V,C,G,T,J,q,ae='<summary>Solution</summary> <p>Instead of using directly the Action-Value function of the Critic as it is, we could use an <code>Advantage</code> function. The idea behind an <code>Advantage</code> function is that we calculate the relative advantage of an action compared to the others possible at a state, averaging them.</p> <p>In other words: how taking that action at a state is better compared to the average value of the state</p> <img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit8/advantage1.jpg" alt="Advantage in A2C"/>',K,_,ie="Congrats on finishing this Quiz 🥳, if you missed some elements, take time to read the chapter again to reinforce (😏) your knowledge.",N,H,O;return d=new L({props:{title:"Quiz",local:"quiz",headingTag:"h1"}}),g=new L({props:{title:"Q1: Which of the following interpretations of bias-variance tradeoff is the most accurate in the field of Reinforcement Learning?",local:"q1-which-of-the-following-interpretations-of-bias-variance-tradeoff-is-the-most-accurate-in-the-field-of-reinforcement-learning",headingTag:"h3"}}),w=new Y({props:{choices:[{text:"The bias-variance tradeoff reflects how my model is able to generalize the knowledge to previously tagged data we give to the model during training time.",explain:"This is the traditional bias-variance tradeoff in Machine Learning. In our specific case of Reinforcement Learning, we don't have previously tagged data, but only a reward signal.",correct:!1},{text:"The bias-variance tradeoff reflects how well the reinforcement signal reflects the true reward the agent should get from the enviromment",explain:"",correct:!0}]}}),p=new L({props:{title:"Q2: Which of the following statements are true, when talking about models with bias and/or variance in RL?",local:"q2-which-of-the-following-statements-are-true-when-talking-about-models-with-bias-andor-variance-in-rl",headingTag:"h3"}}),$=new Y({props:{choices:[{text:"An unbiased reward signal returns rewards similar to the real / expected ones from the environment",explain:"",correct:!0},{text:"A biased reward signal returns rewards similar to the real / expected ones from the environment",explain:"If a reward signal is biased, it means the reward signal we get differs from the real reward we should be getting from an environment",correct:!1},{text:"A reward signal with high variance has much noise in it and gets affected by, for example, stochastic (non constant) elements in the environment",explain:"",correct:!0},{text:"A reward signal with low variance has much noise in it and gets affected by, for example, stochastic (non constant) elements in the environment",explain:"If a reward signal has low variance, then it's less affected by the noise of the environment and produce similar values regardless the random elements in the environment",correct:!1}]}}),v=new L({props:{title:"Q3: Which of the following statements are true about Monte Carlo method?",local:"q3-which-of-the-following-statements-are-true-about-monte-carlo-method",headingTag:"h3"}}),b=new Y({props:{choices:[{text:"It's a sampling mechanism, which means we don't analyze all the possible states, but a sample of those",explain:"",correct:!0},{text:"It's very resistant to stochasticity (random elements in the trajectory)",explain:"Monte Carlo randomly estimates everytime a sample of trajectories. However, even same trajectories can have different reward values if they contain stochastic elements",correct:!1},{text:"To reduce the impact of stochastic elements in Monte Carlo, we take `n` strategies and average them, reducing their individual impact",explain:"",correct:!0}]}}),y=new L({props:{title:"Q4: How would you describe, with your own words, the Actor-Critic Method (A2C)?",local:"q4-how-would-you-describe-with-your-own-words-the-actor-critic-method-a2c",headingTag:"h3"}}),A=new L({props:{title:"Q5: Which of the following statements are true about the Actor-Critic Method?",local:"q5-which-of-the-following-statements-are-true-about-the-actor-critic-method",headingTag:"h3"}}),C=new Y({props:{choices:[{text:"The Critic does not learn any function during the training process",explain:"Both the Actor and the Critic function parameters are updated during training time",correct:!1},{text:"The Actor learns a policy function, while the Critic learns a value function",explain:"",correct:!0},{text:"It adds resistance to stochasticity and reduces high variance",explain:"",correct:!0}]}}),T=new L({props:{title:"Q6: What is Advantage in the A2C method?",local:"q6-what-is-advantage-in-the-a2c-method",headingTag:"h3"}}),{c(){m=M("meta"),I=n(),k=M("p"),W=n(),r(d.$$.fragment),z=n(),u=M("p"),u.innerHTML=ee,P=n(),r(g.$$.fragment),j=n(),r(w.$$.fragment),S=n(),r(p.$$.fragment),E=n(),r($.$$.fragment),R=n(),r(v.$$.fragment),B=n(),r(b.$$.fragment),D=n(),r(y.$$.fragment),F=n(),x=M("details"),x.innerHTML=te,U=n(),r(A.$$.fragment),V=n(),r(C.$$.fragment),G=n(),r(T.$$.fragment),J=n(),q=M("details"),q.innerHTML=ae,K=n(),_=M("p"),_.textContent=ie,N=n(),H=M("p"),this.h()},l(e){const t=fe("svelte-u9bgzb",document.head);m=Q(t,"META",{name:!0,content:!0}),t.forEach(a),I=o(e),k=Q(e,"P",{}),ne(k).forEach(a),W=o(e),s(d.$$.fragment,e),z=o(e),u=Q(e,"P",{"data-svelte-h":!0}),X(u)!=="svelte-rgmkvd"&&(u.innerHTML=ee),P=o(e),s(g.$$.fragment,e),j=o(e),s(w.$$.fragment,e),S=o(e),s(p.$$.fragment,e),E=o(e),s($.$$.fragment,e),R=o(e),s(v.$$.fragment,e),B=o(e),s(b.$$.fragment,e),D=o(e),s(y.$$.fragment,e),F=o(e),x=Q(e,"DETAILS",{"data-svelte-h":!0}),X(x)!=="svelte-6f49t"&&(x.innerHTML=te),U=o(e),s(A.$$.fragment,e),V=o(e),s(C.$$.fragment,e),G=o(e),s(T.$$.fragment,e),J=o(e),q=Q(e,"DETAILS",{"data-svelte-h":!0}),X(q)!=="svelte-1hlgons"&&(q.innerHTML=ae),K=o(e),_=Q(e,"P",{"data-svelte-h":!0}),X(_)!=="svelte-19jm558"&&(_.textContent=ie),N=o(e),H=Q(e,"P",{}),ne(H).forEach(a),this.h()},h(){oe(m,"name","hf:doc:metadata"),oe(m,"content",ue)},m(e,t){me(document.head,m),i(e,I,t),i(e,k,t),i(e,W,t),l(d,e,t),i(e,z,t),i(e,u,t),i(e,P,t),l(g,e,t),i(e,j,t),l(w,e,t),i(e,S,t),l(p,e,t),i(e,E,t),l($,e,t),i(e,R,t),l(v,e,t),i(e,B,t),l(b,e,t),i(e,D,t),l(y,e,t),i(e,F,t),i(e,x,t),i(e,U,t),l(A,e,t),i(e,V,t),l(C,e,t),i(e,G,t),l(T,e,t),i(e,J,t),i(e,q,t),i(e,K,t),i(e,_,t),i(e,N,t),i(e,H,t),O=!0},p:se,i(e){O||(h(d.$$.fragment,e),h(g.$$.fragment,e),h(w.$$.fragment,e),h(p.$$.fragment,e),h($.$$.fragment,e),h(v.$$.fragment,e),h(b.$$.fragment,e),h(y.$$.fragment,e),h(A.$$.fragment,e),h(C.$$.fragment,e),h(T.$$.fragment,e),O=!0)},o(e){c(d.$$.fragment,e),c(g.$$.fragment,e),c(w.$$.fragment,e),c(p.$$.fragment,e),c($.$$.fragment,e),c(v.$$.fragment,e),c(b.$$.fragment,e),c(y.$$.fragment,e),c(A.$$.fragment,e),c(C.$$.fragment,e),c(T.$$.fragment,e),O=!1},d(e){e&&(a(I),a(k),a(W),a(z),a(u),a(P),a(j),a(S),a(E),a(R),a(B),a(D),a(F),a(x),a(U),a(V),a(G),a(J),a(q),a(K),a(_),a(N),a(H)),a(m),f(d,e),f(g,e),f(w,e),f(p,e),f($,e),f(v,e),f(b,e),f(y,e),f(A,e),f(C,e),f(T,e)}}}const ue='{"title":"Quiz","local":"quiz","sections":[{"title":"Q1: Which of the following interpretations of bias-variance tradeoff is the most accurate in the field of Reinforcement Learning?","local":"q1-which-of-the-following-interpretations-of-bias-variance-tradeoff-is-the-most-accurate-in-the-field-of-reinforcement-learning","sections":[],"depth":3},{"title":"Q2: Which of the following statements are true, when talking about models with bias and/or variance in RL?","local":"q2-which-of-the-following-statements-are-true-when-talking-about-models-with-bias-andor-variance-in-rl","sections":[],"depth":3},{"title":"Q3: Which of the following statements are true about Monte Carlo method?","local":"q3-which-of-the-following-statements-are-true-about-monte-carlo-method","sections":[],"depth":3},{"title":"Q4: How would you describe, with your own words, the Actor-Critic Method (A2C)?","local":"q4-how-would-you-describe-with-your-own-words-the-actor-critic-method-a2c","sections":[],"depth":3},{"title":"Q5: Which of the following statements are true about the Actor-Critic Method?","local":"q5-which-of-the-following-statements-are-true-about-the-actor-critic-method","sections":[],"depth":3},{"title":"Q6: What is Advantage in the A2C method?","local":"q6-what-is-advantage-in-the-a2c-method","sections":[],"depth":3}],"depth":1}';function ge(Z){return le(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class be extends he{constructor(m){super(),ce(this,m,ge,de,re,{})}}export{be as component};
